<script setup lang="ts">
import { type Product } from '@/types/Product'

const props = defineProps<{
    product: Product
}>()
const emit = defineEmits<{
    selectedProduct: [Product] // selectedProduct(Product p)
}>()
const selected = function () {
    console.log('ProductCard: ' + props.product)
    emit('selectedProduct', props.product)
}
</script>

<template>
    <v-sheet width="160" height="170" elevation="3" @click="selected" class="product">
        <v-img :src="`./img/coffee/product${product.id}.jpg`" height="120" cover ></v-img>
        <div style="text-align: center;">{{ product.name }} <br> {{ product.price }} บาท</div>
    </v-sheet>
</template>

<style>
.product {
    border: 1px solid white;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s, border-color 0.3s; 
}

.product:hover {
    border-color: #007BFF; 
    background-color: #f0f0f0;
    transform: scale(1.05);
}

.product-info {
    text-align: center;
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(50%, 50%);
}

.product:hover .product-info {
    display: block;
}

</style>
